MONGOC_READ_PREFS_IS_VALID(3)

NAME
mongoc_read_prefs_is_valid() - Performs a consistency check of read_prefs to ensure it makes sense and can be satisfied.

SYNOPSIS

bool
mongoc_read_prefs_is_valid (const mongoc_read_prefs_t *read_prefs);

PARAMETERS

read_prefs
    A mongoc_read_prefs_t \&.

DESCRIPTION

Performs a consistency check of read_prefs to ensure it makes sense and can be satisfied.

This only performs local consistency checks.

RETURNS

Returns true if the read pref is valid.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.